Upstream information

CVE-2023-0241 at MITRE

Description

pgAdmin 4 versions prior to v6.19 contains a directory traversal vulnerability. A user of the product may change another user's settings or alter the database.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 6.5 6.5
Vector CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:H/A:N CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None High
Integrity Impact High None
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1207464 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE-Storage-7.1-2023-1877
SUSE Linux Enterprise Desktop 15 SP6
SUSE Linux Enterprise High Performance Computing 15 SP6
SUSE Linux Enterprise Module for Python 3 15 SP6
SUSE Linux Enterprise Server 15 SP6
SUSE Linux Enterprise Server for SAP Applications 15 SP6
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE Linux Enterprise Module for Python 3 15 SP6 GA pgadmin4-4.30-150300.3.9.1
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-1877
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-1877
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2023-1877
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Server Applications 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP5 GA pgadmin4-4.30-150300.3.9.1
SUSE Linux Enterprise Real Time 15 SP3
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE-SLE-Product-RT-15-SP3-2023-1877
SUSE Linux Enterprise Server 15 SP3-LTSS
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-1877
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-1877
SUSE Manager Proxy 4.2
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2023-1877
SUSE Manager Retail Branch Server 4.2
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.2-2023-1877
SUSE Manager Server 4.2
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.2-2023-1877
openSUSE Leap 15.4
  • pgadmin4 >= 4.30-150300.3.9.1
  • pgadmin4-doc >= 4.30-150300.3.9.1
  • pgadmin4-web >= 4.30-150300.3.9.1
  • pgadmin4-web-uwsgi >= 4.30-150300.3.9.1
Patchnames:
openSUSE-SLE-15.4-2023-1877
openSUSE Tumbleweed
  • pgadmin4 >= 8.2-1.1
  • pgadmin4-cloud >= 8.2-1.1
  • pgadmin4-desktop >= 8.2-1.1
  • pgadmin4-doc >= 8.2-1.1
  • pgadmin4-web-uwsgi >= 8.2-1.1
  • system-user-pgadmin >= 8.2-1.1
Patchnames:
openSUSE-Tumbleweed-2024-13667


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 pgadmin4 Released
SUSE Linux Enterprise Desktop 15 SP6 pgadmin4 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 pgadmin4 Released
SUSE Linux Enterprise High Performance Computing 15 SP6 pgadmin4 Released
SUSE Linux Enterprise Module for Python 3 15 SP6 pgadmin4 Released
SUSE Linux Enterprise Module for Server Applications 15 SP5 pgadmin4 Released
SUSE Linux Enterprise Server 15 SP5 pgadmin4 Released
SUSE Linux Enterprise Server 15 SP6 pgadmin4 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 pgadmin4 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 pgadmin4 Released
SUSE Manager Proxy 4.3 pgadmin4 Released
SUSE Manager Retail Branch Server 4.3 pgadmin4 Released
SUSE Manager Server 4.3 pgadmin4 Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 SP2 pgadmin4 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS pgadmin4 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS pgadmin4 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3 pgadmin4 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS pgadmin4 Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS pgadmin4 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 pgadmin4 Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS pgadmin4 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS pgadmin4 Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP2 pgadmin4 Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP3 pgadmin4 Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP4 pgadmin4 Released
SUSE Linux Enterprise Server 15 SP2 pgadmin4 Unsupported
SUSE Linux Enterprise Server 15 SP2-LTSS pgadmin4 Unsupported
SUSE Linux Enterprise Server 15 SP3 pgadmin4 Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS pgadmin4 Released
SUSE Linux Enterprise Server 15 SP4 pgadmin4 Released
SUSE Linux Enterprise Server 15 SP4-LTSS pgadmin4 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP2 pgadmin4 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP3 pgadmin4 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 pgadmin4 Released
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 pgadmin4 Unsupported
SUSE Enterprise Storage 6 pgadmin4 Affected
SUSE Enterprise Storage 7 pgadmin4 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1 pgadmin4 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS pgadmin4 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS pgadmin4 Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP1 pgadmin4 Unsupported
SUSE Linux Enterprise Real Time 15 SP2 pgadmin4 Unsupported
SUSE Linux Enterprise Real Time 15 SP3 pgadmin4 Released
SUSE Linux Enterprise Real Time 15 SP4 pgadmin4 Unsupported
SUSE Linux Enterprise Server 15 SP1 pgadmin4 Unsupported
SUSE Linux Enterprise Server 15 SP1-BCL pgadmin4 Unsupported
SUSE Linux Enterprise Server 15 SP1-LTSS pgadmin4 Unsupported
SUSE Linux Enterprise Server 15 SP2-BCL pgadmin4 Unsupported
SUSE Linux Enterprise Server 15 SP3-BCL pgadmin4 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP1 pgadmin4 Unsupported
SUSE Manager Proxy 4.0 pgadmin4 Unsupported
SUSE Manager Proxy 4.1 pgadmin4 Unsupported
SUSE Manager Proxy 4.2 pgadmin4 Released
SUSE Manager Retail Branch Server 4.0 pgadmin4 Unsupported
SUSE Manager Retail Branch Server 4.1 pgadmin4 Unsupported
SUSE Manager Retail Branch Server 4.2 pgadmin4 Released
SUSE Manager Server 4.0 pgadmin4 Unsupported
SUSE Manager Server 4.1 pgadmin4 Unsupported
SUSE Manager Server 4.2 pgadmin4 Released
openSUSE Leap 15.3 pgadmin4 Released
openSUSE Leap 15.4 pgadmin4 Released


SUSE Timeline for this CVE

CVE page created: Tue Jan 24 11:00:37 2023
CVE page last modified: Sun Jun 16 02:33:42 2024